#ifndef Unit1H
#define Unit1H
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include <stdio.h>
#include <string.h>
#include <Grids.hpp>
#include <Menus.hpp>
#include <string>
#include <set>

using namespace std;

class TForm1 : public TForm
{
__published:
    TLabel *Label1;
    TLabel *Label2;
        TEdit *Edit1;
    TListBox *ListBox1;
        TMainMenu *MainMenu1;
        TMenuItem *N1;
        TMenuItem *N2;
        TMenuItem *N3;
        TMenuItem *N4;
        TMenuItem *N5;
        TEdit *Edit2;
        TLabel *Label8;
        TSaveDialog *SaveDialog1;
        TListBox *ListBox2;
        TLabel *Label7;
        TMenuItem *N6;
        TMenuItem *N7;
        TMenuItem *N8;
        TMenuItem *N9;
        TMenuItem *N10;
        TMenuItem *N11;
        TOpenDialog *OpenDialog1;
        TEdit *Edit3;
        TLabel *Label3;
        TListBox *ListBox3;
	void __fastcall N3Click(TObject *Sender);
        void __fastcall N5Click(TObject *Sender);
        void __fastcall N4Click(TObject *Sender);
        void __fastcall N6Click(TObject *Sender);
        void __fastcall N11Click(TObject *Sender);
        void __fastcall N9Click(TObject *Sender);
        void __fastcall N7Click(TObject *Sender);
        void __fastcall N8Click(TObject *Sender);
        void __fastcall N10Click(TObject *Sender);
private:	// User declarations
	void __fastcall Generate(AnsiString s, AnsiString slast, int dr);
        void __fastcall GetLr();
        AnsiString __fastcall GetVN();
	bool __fastcall Grammar();
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};

extern PACKAGE TForm1 *Form1;

#endif
